> ## Documentation Index
> Fetch the complete documentation index at: https://urbnbox.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel a checkout session

> Cancels a partner checkout session.



## OpenAPI

````yaml /openapi.json post /api/partner/v1/checkout-sessions/{id}/cancel
openapi: 3.1.0
info:
  title: UrbnBox integration API
  version: 1.0.0
  description: >-
    Create and track delivery orders, send parcels between pickup points, and
    connect Shopify.
servers:
  - url: https://portal.urbnbox.io
    description: UrbnBox production and test-key server
security: []
tags:
  - name: Shipments
    description: Quote, create, and retrieve pickup-point shipments.
  - name: Checkout sessions
    description: Hold lockers for partner checkout sessions.
  - name: Public bookings
    description: Create browser-based locker bookings.
  - name: Store discovery
    description: Find active UrbnBox stores.
  - name: Shopify
    description: Callbacks called by Shopify.
  - name: Vendor API
    description: >-
      Vendor-authenticated endpoints for delivery orders, pickup-point shipments
      and webhooks. All require an X-API-Key header with a vendor key.
paths:
  /api/partner/v1/checkout-sessions/{id}/cancel:
    post:
      tags:
        - Checkout sessions
      summary: Cancel a checkout session
      description: Cancels a partner checkout session.
      operationId: cancelCheckoutSession
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Session cancelled.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    const: cancelled
                required:
                  - status
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - partnerKey: []
components:
  responses:
    Unauthorized:
      description: The credential is missing, invalid, or inactive.
      content:
        text/plain:
          schema:
            type: string
    Forbidden:
      description: The credential is not authorized for this operation.
      content:
        text/plain:
          schema:
            type: string
    ServerError:
      description: UrbnBox could not complete the request.
      content:
        text/plain:
          schema:
            type: string
  securitySchemes:
    partnerKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: Partner key. Shipment creation requires a secret key.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.